Subject: how to merge...

From: Ian Molton <[email-masked]>
Date: Mon, 30 Jan 2006 12:25:13 +0000

Hi...

Well, I've got the basics of importing patches from outside git now, so 
the next question is...

suppose I've aplpied the 2.6.16-rc1-mm3 patch into its own branch in my 
local git repo.

I've also created an arm26 branch from the master 2.6.16-rc1.

I want to pull some patches from the -mm3 branch into the arm26 one, as 
a single change.

Obviously, I could simply make a diff including just those files and 
apply it to my arm26 branch, but I'd prefer not to if theres a better 
way that allows git to keep track of what really happened.

Presumably the 'correct' fix is to import the broken up -mm patchset so 
git can pull only the changes relating to those files, but since Im 
learning and not everyone provides broken up patchsets, it'd be nice to 
know if theres a way to do it 'the hard way'.

Cheers!